#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=orange.ico
#AutoIt3Wrapper_Outfile=lbinfosv2.0.15-32.exe
#AutoIt3Wrapper_Outfile_x64=lbinfosv2.0.15-64.exe
#AutoIt3Wrapper_Compile_Both=y
#AutoIt3Wrapper_UseX64=y
#AutoIt3Wrapper_Res_Description=LiveBoxInfo
#AutoIt3Wrapper_Res_Fileversion=2.0.15.0
#AutoIt3Wrapper_Res_Language=1036
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include <IE.au3>

#include <Date.au3>
#include <Json.au3>
#include <Array.au3>
#include <String.au3>

$oErrorHandler = ObjEvent("AutoIt.Error", "_ErrFunc")

$oIE = _IECreateEmbedded()
$html_GUI = GUICreate("LiveBoxInfos 2.0.15", 960, 590)
$Browser = GUICtrlCreateObj($oIE, -1, -1, 960, 600)

Global $cookie, $LIVEBOX, $PASSWORD, $USER, $list2_protege, $list3_protege, $list4_protege, $ProductClass, $sContextID, $iNowEpoch, $list1, $list2, $list3, $list4, $list5, $list6, $list7, $list8, $list9, $Edit1, $Edit2, $TEL
Global $availablePairs, $maxAvailablePairs, $nra, $diameter1, $length1, $diameter2, $length2

$connexion = ""

$oHTTP = ObjCreate("winhttp.winhttprequest.5.1")

_IENavigate($oIE, @scriptdir & "/index.html")
GUISetState(@SW_SHOW, $html_GUI)

	$oButtons1 = $oIE.document.getElementsByName('bouton1')
	For $oButton1 In $oButtons1
	   ObjEvent($oButton1, "_Evt1_")
	Next

	$oButtons2 = $oIE.document.getElementsByName('bouton2')
	For $oButton2 In $oButtons2
	   ObjEvent($oButton2, "_Evt2_")
	Next

	$oButtons3 = $oIE.document.getElementsByName('bouton3')
	For $oButton3 In $oButtons3
	   ObjEvent($oButton3, "_Evt3_")
	Next

While 1
	;Fermeture application si on clique sur la croix
	$nMsg = GUIGetMsg()
		if ($nMsg = $GUI_EVENT_CLOSE) then
			if ($sContextID <>"") Then
				; Logout si on est connecté
				$PARAMS = '{"service":"sah.Device.Information","method":"releaseContext","parameters":{"applicationName":"so_sdkut"}}'
				$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
				$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
				$oHTTP.SetRequestHeader("X-Context", $sContextID)
				$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId=" & $sContextID)
				$oHTTP.Send($PARAMS)
				$oHTTP = 0
			Exit
			Else
				exit
			endif
		EndIf

WEnd


Func _Evt1_onClick()
	; Lecture du formulaire
	Local $oForm = _IEFormGetObjByName($oIE, "loginForm")
	Local $oIp = _IEFormElementGetObjByName($oForm, "ip")
	Local $oPassword = _IEFormElementGetObjByName($oForm, "password")
	$LIVEBOX = _IEFormElementGetValue($oIp)
	$USER = "admin"
	$PASSWORD = _IEFormElementGetValue($oPassword)

	auth_livebox()
	if ($connexion="OK") then
		load_data()

		; insertion des données dans les onglets
		;$sHTML = _IEDocReadHTML($oIE) ;Lecture
		$sFilePath = @ScriptDir & "\index.html"
		$hFileOpen = FileOpen($sFilePath, $FO_READ)
		$sHTML = FileRead($hFileOpen)
		$sHTML = StringReplace($sHTML,'DeviceInfotxt',$list4)
		$sHTML = StringReplace($sHTML,'Mibstxt',$list2)
		$sHTML = StringReplace($sHTML,'DSLstatstxt',$list1)
		$sHTML = StringReplace($sHTML,'WANstatustxt',$list3)
		$sHTML = StringReplace($sHTML,'Wifitxt',$list5)
		$sHTML = StringReplace($sHTML,'Servicestxt',$list6)
		$sHTML = StringReplace($sHTML,'Voiptxt',$list7)
		$sHTML = StringReplace($sHTML,'IoTtxt',$list8)
		$sHTML = StringReplace($sHTML,'SFPtxt',$list9)
		$sHTML = StringReplace($sHTML,'value="192.168.1.1"','value="'& $LIVEBOX &'"')
		$sHTML = StringReplace($sHTML,'value=""','value="'& $PASSWORD &'"')
		$sHTML=StringReplace($sHTML,'<span class="label label-danger"><span class="glyphicon glyphicon-off" aria-hidden="true">','<span class="label label-success"><span class="glyphicon glyphicon-off" aria-hidden="true">')
		_IEDocWriteHTML($oIE,$sHTML) ; Ecriture
		$connexion=""

		$oButtons1 = $oIE.document.getElementsByName('bouton1')
		For $oButton1 In $oButtons1
		   ObjEvent($oButton1, "_Evt1_")
		Next
		$oButtons2 = $oIE.document.getElementsByName('bouton2')
		For $oButton2 In $oButtons2
		   ObjEvent($oButton2, "_Evt2_")
		Next
		$oButtons3 = $oIE.document.getElementsByName('bouton3')
		For $oButton3 In $oButtons3
		   ObjEvent($oButton3, "_Evt3_")
		Next

	endif
EndFunc   ;==>_Evt1_onClick


Func _Evt2_onClick()
	if $TEL <>"" Then
		if $list1="" Then
			$list = $liste2_fibre & @CRLF & "----------------------------------------" & @CRLF & @CRLF  & $list3_protege & @CRLF & @CRLF  & "----------------------------------------" & @CRLF & @CRLF  & $list4_protege & @CRLF & @CRLF
			$list = StringReplace($list,"<br>",@crlf) ; on eneleve les balises html
			$list = StringReplace($list,"<b>","") ; on eneleve les balises html
			$list = StringReplace($list,"</b>","") ; on eneleve les balises html
		Else
			$list = $list1 & @CRLF & "----------------------------------------" & @CRLF & @CRLF  & $list2_protege & @CRLF & @CRLF  & "----------------------------------------" & @CRLF & @CRLF  & $list3_protege & @CRLF & "----------------------------------------" & @CRLF & @CRLF & $list4_protege & @CRLF & @CRLF
			$list = StringReplace($list,"<br>",@crlf) ; on eneleve les balises html
			$list = StringReplace($list,"<b>","") ; on eneleve les balises html
			$list = StringReplace($list,"</b>","") ; on eneleve les balises html
		EndIf

		SplashTextOn("Données OVH", "Connexion à OVH.com pour récupérer vos informations de ligne..."& @CRLF & "Veuillez patienter quelques secondes", 500, 100, -1, -1, $DLG_MOVEABLE)

		_infoligne()

		SplashOff()

		$entete = "LiveboxInfos du " & @MDAY & "/" & @MON & "/" & @YEAR & " - " & @HOUR & ":" & @MIN & ":" & @SEC & @CRLF & @CRLF
		if $length2<>"" Then
			$section2 = " et " & $length2 & "m en " & $diameter2 & "mm"
		Else
			$section2 = ""
		EndIf
		$infoligne = "Données OVH.COM" & @CRLF & _
				"NRA                : " & $nra & @CRLF & _
				"Paires Disponibles : " & $availablePairs & @CRLF & _
				"Paires Max         : " & $maxAvailablePairs & @CRLF & _
				"Longueur Ligne     : " & $length1	& "m en " & $diameter1 & "mm" & $section2  & @CRLF  & @CRLF & _
				"----------------------------------------" & @CRLF  & @CRLF


		ClipPut("[code]" & $entete & $infoligne & $list & "[/code]")
		MsgBox(0, "LiveBoxInfos", "Le texte a été copié en mémoire, vous pouver coller le résultat sur le forum." & @CRLF & "Les informations confidentielles ont été masquées.")
	Else
		MsgBox(0, "LiveBoxInfos", "Connectez vous d'abord à la livebox")
	Endif
EndFunc   ;==>_Evt2_onClick

Func _Evt3_onClick()
	if $sContextID="" Then
		MsgBox(0, "LiveBoxInfos", "Connectez vous d'abord à la livebox !!")
	Else
	; Recuperation des donnees RNC_QLN
	$PARAMS = '{"service":"NeMo.Intf.dsl0","method":"getXDSLNoiseMeasure","parameters":{"typeMeasure":"RNC_QLN"}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$getRNC_QLN = $oHTTP.ResponseText

	; Recuperation des donnees QLN
	$PARAMS = '{"service":"NeMo.Intf.dsl0","method":"getXDSLNoiseMeasure","parameters":{"typeMeasure":"QLN"}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$getQLN = $oHTTP.ResponseText

	; Recuperation des donnees BITs
	$PARAMS = '{"service":"NeMo.Intf.dsl0","method":"getXDSLNoiseMeasure","parameters":{"typeMeasure":"BITs"}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$getBITs = $oHTTP.ResponseText

	; Recuperation des donnees HLOG
	$PARAMS = '{"service":"NeMo.Intf.dsl0","method":"getXDSLNoiseMeasure","parameters":{"typeMeasure":"HLOG"}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$getHLOG = $oHTTP.ResponseText

	; Recuperation des donnees SNR
	$PARAMS = '{"service":"NeMo.Intf.dsl0","method":"getXDSLNoiseMeasure","parameters":{"typeMeasure":"SNR"}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$getSNR = $oHTTP.ResponseText

	; Extraction données JSON
	$getRNC_QLN = Json_Decode($getRNC_QLN)
	$RNC_QLN = Json_Get($getRNC_QLN, '["status"][RNC_QLN]')
	$RNC_QLN = StringReplace($RNC_QLN,",",@crlf)

	$getQLN = Json_Decode($getQLN)
	$QLN = Json_Get($getQLN, '["status"][QLN]')
	$QLN = StringReplace($QLN,",",@crlf)

	$getBITs = Json_Decode($getBITs)
	$BITs = Json_Get($getBITs, '["status"][BITs]')
	$BITs = StringReplace($BITs,",",@crlf)

	$getHLOG = Json_Decode($getHLOG)
	$HLOG = Json_Get($getHLOG, '["status"][HLOG]')
	$HLOG = StringReplace($HLOG,",",@crlf)

	$getSNR = Json_Decode($getSNR)
	$SNR = Json_Get($getSNR, '["status"][SNR]')
	$SNR = StringReplace($SNR,",",@crlf)

	FileDelete("ext\*")
	FileWrite("ext\RNC_QLN.txt", $RNC_QLN)
	FileWrite("ext\QLN.txt", $QLN)
	FileWrite("ext\BITs.txt", $BITs)
	FileWrite("ext\HLOG.txt", $HLOG)
	FileWrite("ext\SNR.txt", $SNR)

	MsgBox(0, "LiveBoxInfos", "Les données graphiques ont été extraites dans le dossier 'ext'")

	Endif
EndFunc   ;==>_Evt3_onClick

Func load_data()

	; Recuperation des donnees WANstatus
	$PARAMS = '{"service":"NMC","method":"getWANStatus","parameters":{}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$getWANStatus = $oHTTP.ResponseText

	; Recuperation des donnees DeviceInfo
	$PARAMS = '{"service":"DeviceInfo","method":"get","parameters":{}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$DeviceInfo = $oHTTP.ResponseText

	; Recuperation des donnees Wifi
	$PARAMS = '{"service":"NeMo.Intf.lan","method":"getMIBs","parameters":{"mibs":"wlanvap || wlanradio"}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$getWifi = $oHTTP.ResponseText

	; Recuperation des donnees OrangeServices
	$PARAMS = '{"service":"OrangeServices","method":"getSubscriptionStatus","parameters":{"refresh":true}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$OrangeServices = $oHTTP.ResponseText

	; Recuperation des donnees getVoIPConfig
	$PARAMS = '{"service":"NMC","method":"getVoIPConfig","parameters":{}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$getVoIPConfig = $oHTTP.ResponseText

	; Recuperation du Vlan internet
	$PARAMS = '{"service":"NeMo.Intf.data","method":"getFirstParameter","parameters":{"name":"VLANID"}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$getVlan = $oHTTP.ResponseText

	; Recuperation du MTU
	$PARAMS = '{"service":"NeMo.Intf.data","method":"getFirstParameter","parameters":{"name":"MTU"}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$getMTU = $oHTTP.ResponseText

	; Recuperation du numero de tel
	$PARAMS = '{"service":"VoiceService.VoiceApplication","method":"listTrunks","parameters":{}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$getTELnumber = $oHTTP.ResponseText

	; Recuperation données IoT
	$PARAMS = '{"service":"IoTService","method":"getStatus","parameters":{}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$getIOT = $oHTTP.ResponseText

	; Recuperation données SFP
	$PARAMS = '{"service":"SFP","method":"get","parameters":{}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$getSFP = $oHTTP.ResponseText

	;Traitement données SFP
	$getSFP = Json_Decode($getSFP)
	$Status = Json_Get($getSFP, '["status"][Status]')
	$LocalRegistrationID = Json_Get($getSFP, '["status"]["LocalRegistrationID"]')
	$DeviceState = Json_Get($getSFP, '["status"]["DeviceState"]')
	$FirmwareUpgrade = Json_Get($getSFP, '["status"]["FirmwareUpgrade"]')
	$ModelName = Json_Get($getSFP, '["status"]["ModelName"]')
	$HardwareVersion = Json_Get($getSFP, '["status"]["HardwareVersion"]')
	$ProductClass = Json_Get($getSFP, '["status"]["ProductClass"]')
	$Orange = Json_Get($getSFP, '["status"]["Orange"]')
	$Software1Version = Json_Get($getSFP, '["status"]["Software1Version"]')
	$Software1Status = Json_Get($getSFP, '["status"]["Software1Status"]')
	$Software2Version = Json_Get($getSFP, '["status"]["Software2Version"]')
	$Software2Status = Json_Get($getSFP, '["status"]["Software2Status"]')
	$Manufacturer = Json_Get($getSFP, '["status"]["Manufacturer"]')
	$SerialNumber = Json_Get($getSFP, '["status"]["SerialNumber"]')
	$ONTReady = Json_Get($getSFP, '["status"]["ONTReady"]')
	$OperatingState = Json_Get($getSFP, '["status"]["OperatingState"]')
	$HostCommunication = Json_Get($getSFP, '["status"]["HostCommunication"]')
	$PonID = Json_Get($getSFP, '["status"]["PonID"]')
	$RegistrationID = Json_Get($getSFP, '["status"]["RegistrationID"]')
	$OpticalSignalLevel = Json_Get($getSFP, '["status"]["OpticalSignalLevel"]')/1000
	$TransmitOpticalLevel = Json_Get($getSFP, '["status"]["TransmitOpticalLevel"]')/1000
	$ChipsetTemperature = Json_Get($getSFP, '["status"]["ChipsetTemperature"]')
	$Timer = Json_Get($getSFP, '["status"]["Timer"]')
	$Retry = Json_Get($getSFP, '["status"]["Retry"]')

	$list9 ="Status               : " & $Status & "<br>" & _
			"LocalRegistrationID  : " & $LocalRegistrationID & "<br>" & _
			"DeviceState          : " & $DeviceState & "<br>" & _
			"FirmwareUpgrade      : " & $FirmwareUpgrade & "<br>" & _
			"ModelName            : " & $ModelName & "<br>" & _
			"HardwareVersion      : " & $HardwareVersion & "<br>" & _
			"ProductClass         : " & $ProductClass & "<br>" & _
			"Orange               : " & $Orange & "<br>" & _
			"Software1Version     : " & $Software1Version & "<br>" & _
			"Software1Status      : " & $Software1Status & "<br>" & _
			"Software2Version     : " & $Software2Version & "<br>" & _
			"Software2Status      : " & $Software2Status & "<br>" & _
			"Manufacturer         : " & $Manufacturer & "<br>" & _
			"SerialNumber         : " & $SerialNumber & "<br>" & _
			"ONTReady             : " & $ONTReady & "<br>" & _
			"OperatingState       : " & $OperatingState & "<br>" & _
			"HostCommunication    : " & $HostCommunication & "<br>" & _
			"PonID                : " & $PonID & "<br>" & _
			"RegistrationID       : " & $RegistrationID & "<br>" & _
			"OpticalSignalLevel   : " & $OpticalSignalLevel & "<br>" & _
			"TransmitOpticalLevel : " & $TransmitOpticalLevel & "<br>" & _
			"ChipsetTemperature   : " & $ChipsetTemperature & "<br>" & _
			"Timer                : " & $Timer & "<br>" & _
			"Retry                : " & $Retry & "<br>"


	;Traitement MTU
	$getMTU = Json_Decode($getMTU)
    $MTU = Json_Get($getMTU, '["status"]')

	;Traitement Vlan internet
	$getVlan = Json_Decode($getVlan)
    $Vlan = Json_Get($getVlan, '["status"]')


	;Traitement getVoIPConfig
	$getVoIPConfig = Json_Decode($getVoIPConfig)
	$Name = Json_Get($getVoIPConfig, '["status"][0]["Name"]')
	$Enable = Json_Get($getVoIPConfig, '["status"][0]["Enable"]')
	$Protocol = Json_Get($getVoIPConfig, '["status"][0]["Protocol"]')
	$Encapsulation = Json_Get($getVoIPConfig, '["status"][0]["Encapsulation"]')
	$InterfaceId = Json_Get($getVoIPConfig, '["status"][0]["InterfaceId"]')
	$Interface = Json_Get($getVoIPConfig, '["status"][0]["Interface"]')
	$PhysInterface = Json_Get($getVoIPConfig, '["status"][0]["PhysInterface"]')

	$Name2 = Json_Get($getVoIPConfig, '["status"][1]["Name"]')
	$Enable2 = Json_Get($getVoIPConfig, '["status"][1]["Enable"]')
	$Protocol2 = Json_Get($getVoIPConfig, '["status"][1]["Protocol"]')
	$Encapsulation2 = Json_Get($getVoIPConfig, '["status"][1]["Encapsulation"]')
	$InterfaceId2 = Json_Get($getVoIPConfig, '["status"][1]["InterfaceId"]')
	$Interface2 = Json_Get($getVoIPConfig, '["status"][1]["Interface"]')
	$PhysInterface2 = Json_Get($getVoIPConfig, '["status"][1]["PhysInterface"]')

	;Traitement getTELnumber
	$getTELnumber = Json_Decode($getTELnumber)
	$TEL = Json_Get($getTELnumber, '["status"][0]["trunk_lines"][0]["directoryNumber"]')
	$TEL = StringReplace($TEL,"+33","0")

	$list7= "Name          : " & $Name & "<br>" & _
			"Enable        : " & $Enable & "<br>" & _
			"Protocol      : " & $Protocol & "<br>" & _
			"Encapsulation : " & $Encapsulation & "<br>" & _
			"InterfaceId   : " & $InterfaceId & "<br>" & _
			"Interface     : " & $Interface & "<br>" & _
			"PhysInterface : " & $PhysInterface & "<br>" & _
			" " & "<br>" & _
			"Name          : " & $Name2 & "<br>" & _
			"Enable        : " & $Enable2 & "<br>" & _
			"Protocol      : " & $Protocol2 & "<br>" & _
			"Encapsulation : " & $Encapsulation2 & "<br>" & _
			"InterfaceId   : " & $InterfaceId2 & "<br>" & _
			"Interface     : " & $Interface2 & "<br>" & _
			"PhysInterface : " & $PhysInterface2 & "<br>"


	;Traitement OrangeServices
	$subscription_status = StringRegExp($OrangeServices, 'subscription_status":(.*?),', 3)
	if IsArray($subscription_status) Then ; sur Livebox 3 actuellement pas de OrangeServices
		$OrangeServices = Json_Decode($OrangeServices)
		$iptv = Json_Get($OrangeServices, '["status"][service_context]["IPTV"]')
		$zne = Json_Get($OrangeServices, '["status"][service_context]["ZNE"]')
		$xdsl = Json_Get($OrangeServices, '["status"][service_context]["xdsl"]')
		$ffth = Json_Get($OrangeServices, '["status"][service_context]["ffth"]')
		$dgt = Json_Get($OrangeServices, '["status"][service_context]["dgt"]')
		$last_check = Json_Get($OrangeServices, '["status"][last_check]')
			$last_check = StringReplace($last_check, "T", " ")
			$last_check = StringReplace($last_check, "Z", "")

		$list6= "Service TV         : " & $subscription_status[0] & "<br>" & _
				"Service Telephonie : " & $subscription_status[1] & "<br>" & _
				"Hub Multimedia     : " & $subscription_status[2] & "<br>" & _
				"Backup Mobile      : " & $subscription_status[3] & "<br>" & _
				"Service Antivirus  : " & $subscription_status[4] & "<br>" & _
				" " & "<br>" & _
				"IPTV               : " & $iptv & "<br>" & _
				"ZNE                : " & $zne & "<br>" & _
				"XDSL               : " & $xdsl & "<br>" & _
				"FFTH               : " & $ffth & "<br>" & _
				"DGT                : " & $dgt & "<br>" & _
				" " & "<br>" & _
				"Last Check         : " & $last_check

		$list6 = StringReplace($list6, "True", "Oui")
		$list6 = StringReplace($list6, "False", "Non")
	endif


	;Traitement getWANstatus
	$getWANStatus = Json_Decode($getWANStatus)
    $LinkType = Json_Get($getWANStatus, '["data"]["LinkType"]')
    $LinkState = Json_Get($getWANStatus, '["data"]["LinkState"]')
    $MACAddress = Json_Get($getWANStatus, '["data"]["MACAddress"]')
    $Protocol = Json_Get($getWANStatus, '["data"]["Protocol"]')
    $ConnectionState = Json_Get($getWANStatus, '["data"]["ConnectionState"]')
    $LastConnectionError = Json_Get($getWANStatus, '["data"]["LastConnectionError"]')
    $IPAddress = Json_Get($getWANStatus, '["data"]["IPAddress"]')
    $RemoteGateway = Json_Get($getWANStatus, '["data"]["RemoteGateway"]')
    $DNSServers = Json_Get($getWANStatus, '["data"]["DNSServers"]')
    $IPv6Address = Json_Get($getWANStatus, '["data"]["IPv6Address"]')
	$IPv6DelegatedPrefix = Json_Get($getWANStatus, '["data"]["IPv6DelegatedPrefix"]')

	$DNSServer = StringSplit($DNSServers, ",")
	if (IsArray($DNSServer)) Then
		$NBR_DNS = ubound($DNSServer)
		if ($NBR_DNS=3) Then
			$DNSServer1 = $DNSServer[1]
			$DNSserver2 = $DNSServer[2]
		Elseif ($NBR_DNS=2) Then
			$DNSServer1 = $DNSServer[1]
			$DNSserver2 = ""
		Else
			$DNSServer1 = ""
			$DNSserver2 = ""
		EndIf
	Else
		$DNSServer1 = ""
		$DNSserver2 = ""
	EndIf


	 $list3 = "LinkType            : " & $LinkType & "<br>" & _
			"LinkState           : " & $LinkState & "<br>" & _
			'MACAddress          : ' & $MACAddress & "<br>" & _
			"Protocol            : " & $Protocol & "<br>" & _
			"ConnectionState     : " & $ConnectionState & "<br>" & _
			"LastConnectionError : " & $LastConnectionError & "<br>" & _
			'IPAddress           : ' & $IPAddress & "<br>" & _
			'RemoteGateway       : ' & $RemoteGateway & "<br>" & _
			"DNSServer 1         : " & $DNSServer1 & "<br>" & _
			"DNSServer 2         : " & $DNSServer2 & "<br>" & _
			'IPv6Address         : ' & $IPv6Address & "<br>" & _
			'IPv6DelegatedPrefix : ' & $IPv6DelegatedPrefix & "<br>" & _
			"Vlan ID             : " & $Vlan & "<br>" & _
			"MTU                 : " & $MTU


	$ip = StringSplit($IPAddress, ".")
	$list3_protege = "LinkType            : " & $LinkType & "<br>" & _
			"LinkState           : " & $LinkState & "<br>" & _
			"MACAddress          : " & StringLeft($MACAddress, 8) & ":xx:xx:xx" & "<br>" & _
			"Protocol            : " & $Protocol & "<br>" & _
			"ConnectionState     : " & $ConnectionState & "<br>" & _
			"LastConnectionError : " & $LastConnectionError & "<br>" & _
			"IPAddress           : " & $ip[1] & "." & $ip[2] & ".xxx.xxx" & "<br>" & _
			"DNSServer 1         : " & $DNSServer[1] & "<br>" & _
			"DNSServer 2         : " & $DNSServer[2] & "<br>" & _
			"IPv6Address         : " & StringLeft($IPv6Address,20) & "xxxx:xxxx:xxxx:xxxx" & "<br>" & _
			"IPv6DelegatedPrefix : " & $IPv6DelegatedPrefix & "<br>" & _
			"Vlan ID             : " & $Vlan & "<br>" & _
			"MTU                 : " & $MTU & "<br>"

	; Recuperation des donnees DSLStats
	$PARAMS = '{"service":"NeMo.Intf.dsl0","method":"getDSLStats","parameters":{}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$getDSLStats = $oHTTP.ResponseText

	; Recuperation des donnees MIBs
	$PARAMS = '{"service":"NeMo.Intf.data","method":"getMIBs","parameters":{}}'
	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("X-Context", $sContextID)
	$oHTTP.SetRequestHeader("cookie", $cookie & "; sah/contextId="&$sContextID)
	$oHTTP.Send($PARAMS)
	$getMIBs = $oHTTP.ResponseText


	;Traitement getMIBs
	$dhcp_MIBS = Json_Decode($getMIBs)
	$LastChangeTime = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["LastChangeTime"]')
	$LastChange = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["LastChange"]')
	$LinkStatus = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["LinkStatus"]')
	$UpstreamCurrRate = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["UpstreamCurrRate"]')
	$DownstreamCurrRate = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["DownstreamCurrRate"]')
	$UpstreamMaxRate = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["UpstreamMaxRate"]')
	$DownstreamMaxRate = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["DownstreamMaxRate"]')
	$UpstreamNoiseMargin = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["UpstreamNoiseMargin"]')
	$DownstreamNoiseMargin = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["DownstreamNoiseMargin"]')
	$UpstreamAttenuation = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["UpstreamAttenuation"]')
	$DownstreamAttenuation = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["DownstreamAttenuation"]')
	$UpstreamPower = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["UpstreamPower"]')
	$DownstreamPower = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["DownstreamPower"]')
	$DataPath = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["DataPath"]')
	$InterleaveDepth = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["InterleaveDepth"]')
	$ModulationType = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["ModulationType"]')
	$ModulationHint = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["ModulationHint"]')
	$FirmwareVersion = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["FirmwareVersion"]')
	$StandardUsed = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["StandardUsed"]')
	$CurrentProfile = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["CurrentProfile"]')
	$UPBOKLE = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["UPBOKLE"]')
	$MIBS_DownstreamLineAttenuation = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["DownstreamLineAttenuation"]')
	$MIBS_UpstreamLineAttenuation = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["UpstreamLineAttenuation"]')
	$MIBS_ChannelEncapsulationType = Json_Get($dhcp_MIBS, '["status"]["dsl"]["dsl0"]["ChannelEncapsulationType"]')
	$MIBS_VLANID = Json_Get($dhcp_MIBS, '["status"]["vlan"]["vvlan_multi"]["VLANID"]')
	$MIBS_VLANPriority = Json_Get($dhcp_MIBS, '["status"]["vlan"]["vvlan_multi"]["VLANPriority"]')



	;DONNEES DHCP v4
	$MIBS_dhcpstatus = Json_Get($dhcp_MIBS, '["status"]["dhcp"]["dhcp_data"]["DHCPStatus"]')
	$MIBS_IPRouters = Json_Get($dhcp_MIBS, '["status"]["dhcp"]["dhcp_data"]["IPRouters"]')
	$MIBS_DHCPServer = Json_Get($dhcp_MIBS, '["status"]["dhcp"]["dhcp_data"]["DHCPServer"]')
	$MIBS_LeaseTime = Json_Get($dhcp_MIBS, '["status"]["dhcp"]["dhcp_data"]["LeaseTime"]')
	$MIBS_LeaseTimeRemaining = Json_Get($dhcp_MIBS, '["status"]["dhcp"]["dhcp_data"]["LeaseTimeRemaining"]')
	$MIBS_DSCPMark = Json_Get($dhcp_MIBS, '["status"]["dhcp"]["dhcp_data"]["DSCPMark"]')
	$MIBS_PriorityMark = Json_Get($dhcp_MIBS, '["status"]["dhcp"]["dhcp_data"]["PriorityMark"]')
	$MIBS_CheckAuthentication = Json_Get($dhcp_MIBS, '["status"]["dhcp"]["dhcp_data"]["CheckAuthentication"]')
	$MIBS_AuthenticationInformation = Json_Get($dhcp_MIBS, '["status"]["dhcp"]["dhcp_data"]["AuthenticationInformation"]')
	$MIBS_ResetOnPhysDownTimeout = Json_Get($dhcp_MIBS, '["status"]["dhcp"]["dhcp_data"]["ResetOnPhysDownTimeout"]')
	$MIBS_SentOption = Json_ObjGet($dhcp_MIBS, "status")
		$MIBS_SentOption1 = Json_ObjGet($MIBS_SentOption, "dhcp")
		$MIBS_SentOption2 = Json_ObjGet($MIBS_SentOption1, "dhcp_data")
		$MIBS_SentOption3 = Json_ObjGet($MIBS_SentOption2, "SentOption")
		$MIBS_SentOption4 = Json_ObjGetKeys($MIBS_SentOption3)
		$MIBS_SentOption5 = _ArrayToString($MIBS_SentOption4,",")

	$MIBS_ReqOption = Json_ObjGet($dhcp_MIBS, "status")
		$MIBS_ReqOption1 = Json_ObjGet($MIBS_ReqOption, "dhcp")
		$MIBS_ReqOption2 = Json_ObjGet($MIBS_ReqOption1, "dhcp_data")
		$MIBS_ReqOption3 = Json_ObjGet($MIBS_ReqOption2, "ReqOption")
		$MIBS_ReqOption4 = Json_ObjGetKeys($MIBS_ReqOption3)
		$MIBS_ReqOption5 = _ArrayToString($MIBS_ReqOption4,",")

	$MIBS_dhcp60 = Json_Get($dhcp_MIBS, '["status"]["dhcp"]["dhcp_data"]["SentOption"]["60"]["Value"]')
	$MIBS_dhcp61 = Json_Get($dhcp_MIBS, '["status"]["dhcp"]["dhcp_data"]["SentOption"]["61"]["Value"]')
	$MIBS_dhcp77 = Json_Get($dhcp_MIBS, '["status"]["dhcp"]["dhcp_data"]["SentOption"]["77"]["Value"]')
	$MIBS_dhcp90 = Json_Get($dhcp_MIBS, '["status"]["dhcp"]["dhcp_data"]["SentOption"]["90"]["Value"]')


	;DONNEES DHCP v6
	$MIBS_dhcpv6status = Json_Get($dhcp_MIBS, '["status"]["dhcpv6"]["dhcpv6_data"]["DHCPStatus"]')
	$MIBS_DUID = Json_Get($dhcp_MIBS, '["status"]["dhcpv6"]["dhcpv6_data"]["DUID"]')
	$MIBS_RequestedOptionsv6 = Json_Get($dhcp_MIBS, '["status"]["dhcpv6"]["dhcpv6_data"]["RequestedOptions"]')
	$MIBS_CheckAuthenticationv6 = Json_Get($dhcp_MIBS, '["status"]["dhcpv6"]["dhcpv6_data"]["CheckAuthentication"]')
	$MIBS_AuthenticationInfov6 = Json_Get($dhcp_MIBS, '["status"]["dhcpv6"]["dhcpv6_data"]["AuthenticationInfo"]')
	$MIBS_ResetOnPhysDownTimeoutv6 = Json_Get($dhcp_MIBS, '["status"]["dhcpv6"]["dhcpv6_data"]["ResetOnPhysDownTimeout"]')
	$MIBS_SentOptionv6 = Json_ObjGet($dhcp_MIBS, "status")
		$MIBS_SentOptionv6_1 = Json_ObjGet($MIBS_SentOptionv6, "dhcpv6")
		$MIBS_SentOptionv6_2 = Json_ObjGet($MIBS_SentOptionv6_1, "dhcpv6_data")
		$MIBS_SentOptionv6_3 = Json_ObjGet($MIBS_SentOptionv6_2, "SentOption")
		$MIBS_SentOptionv6_4 = Json_ObjGetKeys($MIBS_SentOptionv6_3)
		$MIBS_SentOptionv6_5 = _ArrayToString($MIBS_SentOptionv6_4,",")

	$MIBS_ReqOptionv6 = Json_ObjGet($dhcp_MIBS, "status")
		$MIBS_ReqOptionv6_1 = Json_ObjGet($MIBS_ReqOptionv6, "dhcpv6")
		$MIBS_ReqOptionv6_2 = Json_ObjGet($MIBS_ReqOptionv6_1, "dhcpv6_data")
		$MIBS_ReqOptionv6_3 = Json_ObjGet($MIBS_ReqOptionv6_2, "ReceivedOption")
		$MIBS_ReqOptionv6_4 = Json_ObjGetKeys($MIBS_ReqOptionv6_3)
		$MIBS_ReqOptionv6_5 = _ArrayToString($MIBS_ReqOptionv6_4,",")

	$MIBS_dhcp11 = Json_Get($dhcp_MIBS, '["status"]["dhcpv6"]["dhcpv6_data"]["SentOption"]["11"]["Value"]')
	$MIBS_dhcp15 = Json_Get($dhcp_MIBS, '["status"]["dhcpv6"]["dhcpv6_data"]["SentOption"]["15"]["Value"]')
	$MIBS_dhcp16 = Json_Get($dhcp_MIBS, '["status"]["dhcpv6"]["dhcpv6_data"]["SentOption"]["16"]["Value"]')
	$MIBS_dhcp17 = Json_Get($dhcp_MIBS, '["status"]["dhcpv6"]["dhcpv6_data"]["SentOption"]["17"]["Value"]')


	; DONNEES LINE
	$MIBS_Line_ACTINP = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_ACTINP"]')
	$MIBS_Line_TRELLISds = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_TRELLISds"]')
	$MIBS_Line_TRELLISus = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_TRELLISus"]')
	$MIBS_Line_LATNpbds = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_LATNpbds"]')
	$MIBS_Line_LATNpbus = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_LATNpbus"]')
	$MIBS_Line_SATNpbds = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_SATNpbds"]')
	$MIBS_Line_SATNpbus = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_SATNpbus"]')
	$MIBS_Line_SNRMpbds = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_SNRMpbds"]')
	$MIBS_Line_SNRMpbus = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_SNRMpbus"]')
	$MIBS_Line_XTURVendor = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_XTURVendor"]')
	$MIBS_Line_XTUCVendor = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_XTUCVendor"]')
		$MIBS_Line_XTURVendor2 = StringMid($MIBS_Line_XTURVendor,5,8)
		$MIBS_Line_XTUCVendor2 = StringMid($MIBS_Line_XTUCVendor,5,8)

	$MIBS_Line_LastChangeTime = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_LastChangeTime"]')
	$MIBS_Line_LastChange = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_LastChange"]')
	$MIBS_LineStatus = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["LineStatus"]')
	$MIBS_Line_UpstreamCurrRate = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_UpstreamCurrRate"]')
	$MIBS_Line_DownstreamCurrRate = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_DownstreamCurrRate"]')
	$MIBS_Line_UpstreamMaxRate = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_UpstreamMaxRate"]')
	$MIBS_Line_DownstreamMaxRate = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_DownstreamMaxRate"]')
	$MIBS_Line_UpstreamNoiseMargin = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_UpstreamNoiseMargin"]')
	$MIBS_Line_DownstreamNoiseMargin = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_DownstreamNoiseMargin"]')
	$MIBS_Line_UpstreamAttenuation = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_UpstreamAttenuation"]')
	$MIBS_Line_DownstreamLineAttenuation = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_DownstreamLineAttenuation"]')
	$MIBS_Line_UpstreamLineAttenuation = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_UpstreamLineAttenuation"]')
	$MIBS_Line_DownstreamAttenuation = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_DownstreamAttenuation"]')
	$MIBS_Line_UpstreamPower = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_UpstreamPower"]')
	$MIBS_Line_DownstreamPower = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_DownstreamPower"]')
	$MIBS_Line_DataPath = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_DataPath"]')
	$MIBS_Line_InterleaveDepth = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_InterleaveDepth"]')

	$MIBS_Line_ActualInterleavingDelay = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_ActualInterleavingDelay"]')
	$MIBS_Line_INPREPORT = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_INPREPORT"]')
	$MIBS_Line_ModulationType = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_ModulationType"]')
	$MIBS_Line_ModulationHint = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_ModulationHint"]')
	$MIBS_Line_StandardUsed = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_StandardUsed"]')
	$MIBS_Line_ATN70 = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_ATN70"]')
	$MIBS_Line_CO_Manufacturer = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_CO_Manufacturer"]')
	$MIBS_Line_FsmVectoring = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_FsmVectoring"]')
	$MIBS_Line_VCE_MAC = Json_Get($dhcp_MIBS, '["status"]["dslline"]["dsl0"]["Line_VCE_MAC"]')

	$DMT = $MIBS_Line_ACTINP/10

	$iNowEpoch = _DateDiff('s', "1970/01/01 00:00:00", _NowCalc())
	$sUptimeEpoch = $iNowEpoch - $LastChange
	$LastChange2 = _DateAdd('s', $sUptimeEpoch, "1970/01/01 00:00:00")

	$list2 = "LastChangeTime       : " & $LastChangeTime & " = " & Sec2Time($LastChangeTime) & "<br>" & _
			"LastChange           : " & $LastChange & " | " & $LastChange2 & " | " & Sec2dayTime($LastChange) & "<br>" & _
			"LinkStatus           : " & $LinkStatus & "<br>" & _
			"UpstreamCurrRate     : " & $UpstreamCurrRate & " Kb/s" & "<br>" & _
			"DownstreamCurrRate   : " & $DownstreamCurrRate & " Kb/s" & "<br>" & _
			"UpstreamMaxRate      : " & $UpstreamMaxRate & " Kb/s" & "<br>" & _
			"DownstreamMaxRate    : " & $DownstreamMaxRate & " Kb/s" & "<br>" & _
			"UpstreamNoiseMargin  : " & $UpstreamNoiseMargin / 10 & " dB" & "<br>" & _
			"DownstreamNoiseMargin: " & $DownstreamNoiseMargin / 10 & " dB" & "<br>" & _
			"UpstreamAttenuation  : " & $UpstreamAttenuation / 10 & " dB" & "<br>" & _
			"DownstreamAttenuation: " & $DownstreamAttenuation / 10 & " dB" & "<br>" & _
			"UpstreamPower        : " & $UpstreamPower / 10 & " dBm" & "<br>" & _
			"DownstreamPower      : " & $DownstreamPower / 10 & " dBm" & "<br>" & _
			"DataPath             : " & $DataPath & "<br>" & _
			"InterleaveDepth      : " & $InterleaveDepth & "<br>" & _
			"ModulationType       : " & $ModulationType & "<br>" & _
			"ModulationHint       : " & $ModulationHint & "<br>" & _
			"FirmwareVersion      : " & $FirmwareVersion & "<br>" & _
			"StandardUsed         : " & $StandardUsed & "<br>" & _
			"CurrentProfile       : " & $CurrentProfile & "<br>" & _
			"UPBOKLE              : " & $UPBOKLE & "<br>" & _
			" " & "<br>" & _
			"<b>DONNEES LIGNE</b>" & "<br>" & _
			"DownstreamLineAttenuation   : " & $MIBS_DownstreamLineAttenuation / 10 & " dB" & "<br>" & _
			"UpstreamLineAttenuation     : " & $MIBS_UpstreamLineAttenuation / 10 & " dB" & "<br>" & _
			"ChannelEncapsulationType    : " & $MIBS_ChannelEncapsulationType & "<br>" & _
			"Line_ActualInterleavingDelay: " & $MIBS_Line_ActualInterleavingDelay & "<br>" & _
			"Line_INPREPORT              : " & $MIBS_Line_INPREPORT & "<br>" & _
			"Line_ATN70                  : " & $MIBS_Line_ATN70 & "<br>" & _
			"Line_ACTINP                 : " & $MIBS_Line_ACTINP & " (Soit " & $DMT & " symb. DMT)<br>" & _
			"Line_TRELLISds              : " & $MIBS_Line_TRELLISds & "<br>" & _
			"Line_TRELLISus              : " & $MIBS_Line_TRELLISus & "<br>" & _
			"Line_LATNpbds               : " & $MIBS_Line_LATNpbds & "<br>" & _
			"Line_LATNpbus               : " & $MIBS_Line_LATNpbus & "<br>" & _
			"Line_SATNpbds               : "  & $MIBS_Line_SATNpbds & "<br>" & _
			"Line_SATNpbus               : " & $MIBS_Line_SATNpbus & "<br>" & _
			"Line_SNRMpbds               : " & $MIBS_Line_SNRMpbds & "<br>" & _
			"Line_SNRMpbus               : " & $MIBS_Line_SNRMpbus & "<br>" & _
			"Line_XTURVendor             : " & $MIBS_Line_XTURVendor & " = " & StringStripWS(_HexToString($MIBS_Line_XTURVendor2),8) & "<br>" & _
			"Line_XTUCVendor             : " & $MIBS_Line_XTUCVendor & " = " & StringStripWS(_HexToString($MIBS_Line_XTUCVendor2),8) & "<br>" & _
			"Line_CO_Manufacturer        : " & $MIBS_Line_CO_Manufacturer & "<br>" & _
			"Line_FsmVectoring           : " & $MIBS_Line_FsmVectoring & "<br>" & _
			"Line_VCE_MAC                : " & $MIBS_Line_VCE_MAC & "<br>" & _
			"VLANID                      : " & $MIBS_VLANID & "<br>" & _
			"VLANPriority                : " & $MIBS_VLANPriority & "<br>" & _
			" " & "<br>" & _
			"<b>DONNEES DHCP V4</b>" & "<br>" & _
			"dhcpstatus               : " & $MIBS_dhcpstatus & "<br>" & _
			"IPRouters                : " & $MIBS_IPRouters & "<br>" & _
			"DHCPServer               : " & $MIBS_DHCPServer & "<br>" & _
			"LeaseTime                : " & $MIBS_LeaseTime & " = " & sec2time($MIBS_LeaseTime) & "<br>" & _
			"LeaseTimeRemaining       : " & $MIBS_LeaseTimeRemaining & " = " & sec2time($MIBS_LeaseTimeRemaining) & "<br>" & _
			"DSCPMark                 : " & $MIBS_DSCPMark & "<br>" & _
			"PriorityMark             : " & $MIBS_PriorityMark & "<br>" & _
			"CheckAuthentication      : " & $MIBS_CheckAuthentication & "<br>" & _
			"AuthenticationInformation: " & $MIBS_AuthenticationInformation & "<br>" & _
			"ResetOnPhysDownTimeout   : " & $MIBS_ResetOnPhysDownTimeout & "<br>" & _
			"SentOption               : " & $MIBS_SentOption5 & "<br>" & _
			"SentOption 60            : " & $MIBS_dhcp60 & "<br>" & _
			"SentOption 61            : " & $MIBS_dhcp61 & "<br>" & _
			"SentOption 77            : " & $MIBS_dhcp77 & "<br>" & _
			"SentOption 90            : " & $MIBS_dhcp90 & "<br>" & _
			"ReqOption                : " & $MIBS_ReqOption5 & "<br>" & _
			" " & "<br>" & _
			"<b>DONNEES DHCP V6</b>" & "<br>" & _
			"dhcpstatus               : " & $MIBS_dhcpv6status & "<br>" & _
			"DUID                     : " & $MIBS_DUID & "<br>" & _
			"CheckAuthentication      : " & $MIBS_CheckAuthenticationv6 & "<br>" & _
			"AuthenticationInfo       : " & $MIBS_AuthenticationInfov6 & "<br>" & _
			"ResetOnPhysDownTimeout   : " & $MIBS_ResetOnPhysDownTimeoutv6 & "<br>" & _
			"SentOption               : " & $MIBS_SentOptionv6_5 & "<br>" & _
			"SentOption 11            : " & $MIBS_dhcp11 & "<br>" & _
			"SentOption 15            : " & $MIBS_dhcp15 & "<br>" & _
			"SentOption 16            : " & $MIBS_dhcp16 & "<br>" & _
			"SentOption 17            : " & $MIBS_dhcp17 & "<br>" & _
			"ReceivedOption           : " & $MIBS_ReqOptionv6_5


	$list2_protege = "LastChangeTime       : " & $LastChangeTime & " = " & Sec2Time($LastChangeTime) & "<br>" & _
			"LastChange           : " & $LastChange & " | " & $LastChange2 & " | " & Sec2dayTime($LastChange) & "<br>" & _
			"LinkStatus           : " & $LinkStatus & "<br>" & _
			"UpstreamCurrRate     : " & $UpstreamCurrRate & " Kb/s" & "<br>" & _
			"DownstreamCurrRate   : " & $DownstreamCurrRate & " Kb/s" & "<br>" & _
			"UpstreamMaxRate      : " & $UpstreamMaxRate & " Kb/s" & "<br>" & _
			"DownstreamMaxRate    : " & $DownstreamMaxRate & " Kb/s" & "<br>" & _
			"UpstreamNoiseMargin  : " & $UpstreamNoiseMargin / 10 & " dB" & "<br>" & _
			"DownstreamNoiseMargin: " & $DownstreamNoiseMargin / 10 & " dB" & "<br>" & _
			"UpstreamAttenuation  : " & $UpstreamAttenuation / 10 & " dB" & "<br>" & _
			"DownstreamAttenuation: " & $DownstreamAttenuation / 10 & " dB" & "<br>" & _
			"UpstreamPower        : " & $UpstreamPower / 10 & " dBm" & "<br>" & _
			"DownstreamPower      : " & $DownstreamPower / 10 & " dBm" & "<br>" & _
			"DataPath             : " & $DataPath & "<br>" & _
			"InterleaveDepth      : " & $InterleaveDepth & "<br>" & _
			"ModulationType       : " & $ModulationType & "<br>" & _
			"ModulationHint       : " & $ModulationHint & "<br>" & _
			"FirmwareVersion      : " & $FirmwareVersion & "<br>" & _
			"StandardUsed         : " & $StandardUsed & "<br>" & _
			"CurrentProfile       : " & $CurrentProfile & "<br>" & _
			"UPBOKLE              : " & $UPBOKLE & "<br>" & _
			" " & "<br>" & _
			"<b>DONNEES LIGNE</b>" & "<br>" & _
			"DownstreamLineAttenuation   : " & $MIBS_DownstreamLineAttenuation / 10 & " dB" & "<br>" & _
			"UpstreamLineAttenuation     : " & $MIBS_UpstreamLineAttenuation / 10 & " dB" & "<br>" & _
			"ChannelEncapsulationType    : " & $MIBS_ChannelEncapsulationType & "<br>" & _
			"Line_ActualInterleavingDelay: " & $MIBS_Line_ActualInterleavingDelay & "<br>" & _
			"Line_INPREPORT              : " & $MIBS_Line_INPREPORT & "<br>" & _
			"Line_ATN70                  : " & $MIBS_Line_ATN70 & "<br>" & _
			"Line_ACTINP                 : " & $MIBS_Line_ACTINP & " (Soit " & $DMT & " symb. DMT)<br>" & _
			"Line_TRELLISds              : " & $MIBS_Line_TRELLISds & "<br>" & _
			"Line_TRELLISus              : " & $MIBS_Line_TRELLISus & "<br>" & _
			"Line_LATNpbds               : " & $MIBS_Line_LATNpbds & "<br>" & _
			"Line_LATNpbus               : " & $MIBS_Line_LATNpbus & "<br>" & _
			"Line_SATNpbds               : "  & $MIBS_Line_SATNpbds & "<br>" & _
			"Line_SATNpbus               : " & $MIBS_Line_SATNpbus & "<br>" & _
			"Line_SNRMpbds               : " & $MIBS_Line_SNRMpbds & "<br>" & _
			"Line_SNRMpbus               : " & $MIBS_Line_SNRMpbus & "<br>" & _
			"Line_XTURVendor             : " & $MIBS_Line_XTURVendor & " = " & StringStripWS(_HexToString($MIBS_Line_XTURVendor2),8) & "<br>" & _
			"Line_XTUCVendor             : " & $MIBS_Line_XTUCVendor & " = " & StringStripWS(_HexToString($MIBS_Line_XTUCVendor2),8) & "<br>" & _
			"Line_CO_Manufacturer        : " & $MIBS_Line_CO_Manufacturer & "<br>" & _
			"Line_FsmVectoring           : " & $MIBS_Line_FsmVectoring & "<br>" & _
			"Line_VCE_MAC                : " & $MIBS_Line_VCE_MAC & "<br>" & _
			"VLANID                      : " & $MIBS_VLANID & "<br>" & _
			"VLANPriority                : " & $MIBS_VLANPriority  & "<br>" & _
			" " & "<br>" & _
			"<b>DONNEES DHCP V4</b>" & "<br>" & _
			"dhcpstatus               : " & $MIBS_dhcpstatus & "<br>" & _
			"DHCPServer               : " & $MIBS_DHCPServer & "<br>" & _
			"LeaseTime                : " & $MIBS_LeaseTime & " = " & sec2time($MIBS_LeaseTime) & "<br>" & _
			"LeaseTimeRemaining       : " & $MIBS_LeaseTimeRemaining & " = " & sec2time($MIBS_LeaseTimeRemaining) & "<br>" & _
			"DSCPMark                 : " & $MIBS_DSCPMark & "<br>" & _
			"PriorityMark             : " & $MIBS_PriorityMark & "<br>" & _
			"CheckAuthentication      : " & $MIBS_CheckAuthentication & "<br>" & _
			"AuthenticationInformation: " & $MIBS_AuthenticationInformation & "<br>" & _
			"ResetOnPhysDownTimeout   : " & $MIBS_ResetOnPhysDownTimeout & "<br>" & _
			"SentOption               : " & $MIBS_SentOption5 & "<br>" & _
			"ReqOption                : " & $MIBS_ReqOption5 & "<br>" & _
			" " & "<br>" & _
			"<b>DONNEES DHCP V6</b>" & "<br>" & _
			"dhcpstatus               : " & $MIBS_dhcpv6status & "<br>" & _
			"DUID                     : " & $MIBS_DUID & "<br>" & _
			"CheckAuthentication      : " & $MIBS_CheckAuthenticationv6 & "<br>" & _
			"AuthenticationInfo       : " & $MIBS_AuthenticationInfov6 & "<br>" & _
			"ResetOnPhysDownTimeout   : " & $MIBS_ResetOnPhysDownTimeoutv6 & "<br>" & _
			"SentOption               : " & $MIBS_SentOptionv6_5 & "<br>" & _
			"SentOption 15            : " & $MIBS_dhcp15 & "<br>" & _
			"SentOption 16            : " & $MIBS_dhcp16 & "<br>" & _
			"SentOption 17            : " & $MIBS_dhcp17 & "<br>" & _
			"ReceivedOption           : " & $MIBS_ReqOptionv6_5

	$liste2_fibre = "<b>DONNEES DHCP</b>" & "<br>" & _
			"dhcpstatus               : " & $MIBS_dhcpstatus & "<br>" & _
			"IPRouters                : " & $MIBS_IPRouters & "<br>" & _
			"DHCPServer               : " & $MIBS_DHCPServer & "<br>" & _
			"LeaseTime                : " & $MIBS_LeaseTime & " = " & sec2time($MIBS_LeaseTime) & "<br>" & _
			"LeaseTimeRemaining       : " & $MIBS_LeaseTimeRemaining & " = " & sec2time($MIBS_LeaseTimeRemaining) & "<br>" & _
			"DSCPMark                 : " & $MIBS_DSCPMark & "<br>" & _
			"PriorityMark             : " & $MIBS_PriorityMark & "<br>" & _
			"CheckAuthentication      : " & $MIBS_CheckAuthentication & "<br>" & _
			"AuthenticationInformation: " & $MIBS_AuthenticationInformation & "<br>" & _
			"ResetOnPhysDownTimeout   : " & $MIBS_ResetOnPhysDownTimeout & "<br>" & _
			"SentOption               : " & $MIBS_SentOption5 & "<br>" & _
			"SentOption 60            : " & $MIBS_dhcp60 & "<br>" & _
			"SentOption 61            : " & $MIBS_dhcp61 & "<br>" & _
			"SentOption 77            : " & $MIBS_dhcp77 & "<br>" & _
			"SentOption 90            : " & $MIBS_dhcp90 & "<br>" & _
			"ReqOption                : " & $MIBS_ReqOption5


	;Traitement getDSLStats
	$getDSLStats = Json_Decode($getDSLStats)
	$ReceiveBlocks = Json_Get($getDSLStats, '["status"]["ReceiveBlocks"]')
	$TransmitBlocks = Json_Get($getDSLStats, '["status"]["TransmitBlocks"]')
	$CellDelin = Json_Get($getDSLStats, '["status"]["CellDelin"]')
	$LinkRetrain = Json_Get($getDSLStats, '["status"]["LinkRetrain"]')
	$InitErrors = Json_Get($getDSLStats, '["status"]["InitErrors"]')
	$InitTimeouts = Json_Get($getDSLStats, '["status"]["InitTimeouts"]')
	$LossOfFraming = Json_Get($getDSLStats, '["status"]["LossOfFraming"]')
	$ErroredSecs = Json_Get($getDSLStats, '["status"]["ErroredSecs"]')
	$SeverelyErroredSecs = Json_Get($getDSLStats, '["status"]["SeverelyErroredSecs"]')
	$FECErrors = Json_Get($getDSLStats, '["status"]["FECErrors"]')
	$ATUCFECErrors = Json_Get($getDSLStats, '["status"]["ATUCFECErrors"]')
	$HECErrors = Json_Get($getDSLStats, '["status"]["HECErrors"]')
	$ATUCHECErrors = Json_Get($getDSLStats, '["status"]["ATUCHECErrors"]')
	$CRCErrors = Json_Get($getDSLStats, '["status"]["CRCErrors"]')
	$ATUCCRCErrors = Json_Get($getDSLStats, '["status"]["ATUCCRCErrors"]')

	$list1 = "ReceiveBlocks        : " & $ReceiveBlocks & "<br>" & _
			"TransmitBlocks       : " & $TransmitBlocks & "<br>" & _
			"CellDelin            : " & $CellDelin & "<br>" & _
			"LinkRetrain          : " & $LinkRetrain & "<br>" & _
			"InitErrors           : " & $InitErrors & "<br>" & _
			"InitTimeouts         : " & $InitTimeouts & "<br>" & _
			"LossOfFraming        : " & $LossOfFraming & "<br>" & _
			"ErroredSecs          : " & $ErroredSecs & "<br>" & _
			"SeverelyErroredSecs  : " & $SeverelyErroredSecs & "<br>" & _
			"FECErrors            : " & $FECErrors & " = moyenne de " & round($FECErrors / ($LastChange+0.00001) * 60) & "/minute<br>" & _
			"ATUCFECErrors        : " & $ATUCFECErrors & " = moyenne de " & round($ATUCFECErrors / ($LastChange+0.00001) * 60) & "/minute<br>" & _
			"HECErrors            : " & $HECErrors & " = moyenne de " & round($HECErrors / ($LastChange+0.00001) * 60) & "/minute<br>" & _
			"ATUCHECErrors        : " & $ATUCHECErrors & " = moyenne de " & round($ATUCHECErrors / ($LastChange+0.00001) * 60) & "/minute<br>" & _
			"CRCErrors            : " & $CRCErrors & " = moyenne de " & round($CRCErrors / ($LastChange+0.00001) * 60) & "/minute<br>" & _
			"ATUCCRCErrors        : " & $ATUCCRCErrors & " = moyenne de " & round($ATUCCRCErrors / ($LastChange+0.00001) * 60) & "/minute<br>"



	;Traitement DeviceInfo
	$DeviceInfo = Json_Decode($DeviceInfo)
	$Manufacturer = Json_Get($DeviceInfo, '["status"]["Manufacturer"]')
	$ManufacturerOUI = Json_Get($DeviceInfo, '["status"]["ManufacturerOUI"]')
	$ModelName = Json_Get($DeviceInfo, '["status"]["ModelName"]')
	$Description = Json_Get($DeviceInfo, '["status"]["Description"]')
	$ProductClass = Json_Get($DeviceInfo, '["status"]["ProductClass"]')
	$SerialNumber = Json_Get($DeviceInfo, '["status"]["SerialNumber"]')
	$HardwareVersion = Json_Get($DeviceInfo, '["status"]["HardwareVersion"]')
	$SoftwareVersion = Json_Get($DeviceInfo, '["status"]["SoftwareVersion"]')
	$RescueVersion = Json_Get($DeviceInfo, '["status"]["RescueVersion"]')
	$ModemFirmwareVersion = Json_Get($DeviceInfo, '["status"]["ModemFirmwareVersion"]')
	$EnabledOptions = Json_Get($DeviceInfo, '["status"]["EnabledOptions"]')
	$AdditionalHardwareVersion = Json_Get($DeviceInfo, '["status"]["AdditionalHardwareVersion"]')
	$AdditionalSoftwareVersion = Json_Get($DeviceInfo, '["status"]["AdditionalSoftwareVersion"]')
	$SpecVersion = Json_Get($DeviceInfo, '["status"]["SpecVersion"]')
	$ProvisioningCode = Json_Get($DeviceInfo, '["status"]["ProvisioningCode"]')
	$UpTime = Json_Get($DeviceInfo, '["status"]["UpTime"]')
	$ManufacturerURL = Json_Get($DeviceInfo, '["status"]["ManufacturerURL"]')
	$Country = Json_Get($DeviceInfo, '["status"]["Country"]')
	$NumberOfReboots = Json_Get($DeviceInfo, '["status"]["NumberOfReboots"]')
	$AdditionalSoftwareVersions = Json_Get($DeviceInfo, '["status"]["X_SOFTATHOME-COM_AdditionalSoftwareVersions"]')

	$iNowEpoch = _DateDiff('s', "1970/01/01 00:00:00", _NowCalc())
	$sUptimeEpoch = $iNowEpoch - $Uptime
	$sUpDate = _DateAdd('s', $sUptimeEpoch, "1970/01/01 00:00:00")

	$list4 = "Manufacturer              : " & $Manufacturer & "<br>" & _
			"ManufacturerOUI           : " & $ManufacturerOUI & "<br>" & _
			"ModelName                 : " & $ModelName & "<br>" & _
			"Description               : " & $Description & "<br>" & _
			"ProductClass              : " & $ProductClass & "<br>" & _
			'SerialNumber              : ' & $SerialNumber & "<br>" & _
			"HardwareVersion           : " & $HardwareVersion & "<br>" & _
			"SoftwareVersion           : " & $SoftwareVersion & "<br>" & _
			"HardwareVersion 2         : " & $AdditionalHardwareVersion & "<br>" & _
			"SoftwareVersion 2         : " & $AdditionalSoftwareVersion & "<br>" & _
			"RescueVersion             : " & $RescueVersion & "<br>" & _
			"EnabledOptions            : " & $EnabledOptions & "<br>" & _
			"SpecVersion               : " & $SpecVersion & "<br>" & _
			'ProvisioningCode          : ' & $ProvisioningCode & "<br>" & _
			"UpTime                    : " & $sUpDate & " correspondant à " & _temps_passe($Uptime*1000) &"<br>" & _
			"Country                   : " & $Country & "<br>" & _
			"NumberOfReboots           : " & $NumberOfReboots & "<br>" & _
			"AdditionalSoftwareVersions: " & $AdditionalSoftwareVersions


	$SerialNumber = StringLeft($SerialNumber, 8)
	$list4_protege = "Manufacturer     : " & $Manufacturer & "<br>" & _
			"ManufacturerOUI  : " & $ManufacturerOUI & "<br>" & _
			"ModelName        : " & $ModelName & "<br>" & _
			"ProductClass     : " & $ProductClass & "<br>" & _
			"SerialNumber     : " & $SerialNumber & "XXXXXXX" & "<br>" & _
			"HardwareVersion  : " & $HardwareVersion & "<br>" & _
			"SoftwareVersion  : " & $SoftwareVersion & "<br>" & _
			"HardwareVersion 2: " & $AdditionalHardwareVersion & "<br>" & _
			"SoftwareVersion 2: " & $AdditionalSoftwareVersion & "<br>" & _
			"RescueVersion    : " & $RescueVersion & "<br>" & _
			"EnabledOptions   : " & $EnabledOptions & "<br>" & _
			"SpecVersion      : " & $SpecVersion & "<br>" & _
			"UpTime           : " & $Uptime & "<br>" & _
			"                 : " & $sUpDate & "<br>" & _
			"                 : " & _temps_passe($Uptime*1000) & "<br>" & _
			"Country          : " & $Country & "<br>" & _
			"NumberOfReboots  : " & $NumberOfReboots


	;Traitement getWifi
	Local $MacList1, $MacList2, $list5ghz

	$getWifi2 = Json_Decode($getWifi)
	$Channel1 = Json_Get($getWifi2, '["status"]["wlanradio"]["wifi0_bcm"]["Channel"]')
	$Channel2 = Json_Get($getWifi2, '["status"]["wlanradio"]["wifi0_quan"]["Channel"]')

	$SSID = StringRegExp($getWifi, '"SSID":"(.*?)","', 3)
	$SSIDAdvertisementEnabled = StringRegExp($getWifi, 'SSIDAdvertisementEnabled":(.*?),', 3)
	$BSSID = StringRegExp($getWifi, '"BSSID":"(.*?)"', 3)
	$WEPKey = StringRegExp($getWifi, 'WEPKey":"(.*?)"', 3)
	$PreSharedKey = StringRegExp($getWifi, 'PreSharedKey":"(.*?)"', 3)
	$KeyPassPhrase = StringRegExp($getWifi, 'KeyPassPhrase":"(.*?)"', 3)
	$SelfPIN = StringRegExp($getWifi, 'SelfPIN":"(.*?)"', 3)
	$SupportedFrequencyBands = StringRegExp($getWifi, 'SupportedFrequencyBands":"(.*?)","', 3)
	$Channel = StringRegExp($getWifi, '"Channel":(.*?),"AutoChannelSupported', 3)
	$ModeEnabled = StringRegExp($getWifi, 'ModeEnabled":"(.*?)"', 3)
	$MACFiltering = StringRegExp($getWifi, 'MACFiltering":{"Mode":"(.*?)"', 3)
	If IsArray($MACFiltering) Then
		If $MACFiltering[0] = "WhiteList" Then
			$Entry = StringRegExp($getWifi, 'Entry(.*?)HotSpot2', 3)
			If IsArray($Entry) Then
				$MACAddress = StringRegExp($Entry[0], 'MACAddress":"(.*?)"', 3)
				For $i = 0 To UBound($MACAddress) - 1
					$MacList1 = $MacList1 & @CRLF & "                " & $MACAddress[$i]
				Next
			EndIf
		Else
			$MacList1 = ""
		EndIf
		$MACFiltering1 = $MACFiltering[0]
	Else
		$MACFiltering1 = "non trouvé"
	EndIf

	;Vérification des variables array
	If IsArray($SSID) Then
		$SSID1 = $SSID[0]
	Else
		$SSID1 = "non trouvé"
	EndIf
	If IsArray($SSIDAdvertisementEnabled) Then
		$SSIDAdvertisementEnabled1 = $SSIDAdvertisementEnabled[0]
	Else
		$SSIDAdvertisementEnabled1 = "non trouvé"
	EndIf
	If IsArray($BSSID) Then
		$BSSID1 = $BSSID[0]
	Else
		$BSSID1 = "non trouvé"
	EndIf
	If IsArray($WEPKey) Then
		$WEPKey1 = $WEPKey[0]
	Else
		$WEPKey1 = "non trouvé"
	EndIf
	If IsArray($PreSharedKey) Then
		$PreSharedKey1 = $PreSharedKey[0]
	Else
		$PreSharedKey1 = "non trouvé"
	EndIf
	If IsArray($KeyPassPhrase) Then
		$KeyPassPhrase1 = $KeyPassPhrase[0]
	Else
		$KeyPassPhrase1 = "non trouvé"
	EndIf
	If IsArray($SelfPIN) Then
		$SelfPIN1 = $SelfPIN[0]
	Else
		$SelfPIN1 = "non trouvé"
	EndIf
	If IsArray($SupportedFrequencyBands) Then
		$SupportedFrequencyBands1 = $SupportedFrequencyBands[0]
	Else
		$SupportedFrequencyBands1 = "non trouvé"
	EndIf
	If IsArray($ModeEnabled) Then
		$ModeEnabled1 = $ModeEnabled[0]
		$ModeEnabled1 = StringReplace($ModeEnabled1, "None", "No security")
        $ModeEnabled1 = StringReplace($ModeEnabled1, "WPA-WPA2-", "WPA/WPA2 Mixed")
        $ModeEnabled1 = StringReplace($ModeEnabled1, "WPA2-", "WPA2-PSK(AES)")
        $ModeEnabled1 = StringReplace($ModeEnabled1, "WPA-", "WPA-PSK(TKIP)")
	Else
		$ModeEnabled1 = "non trouvé"
	EndIf


	$list24ghz = "2,4Ghz" & "<br>" & _
			'SSID          : ' & $SSID1 & "<br>" & _
			"SSID Visible  : " & $SSIDAdvertisementEnabled1 & "<br>" & _
			'BSSID         : ' & $BSSID1 & "<br>" & _
			'WEPKey        : ' & $WEPKey1 & "<br>" & _
			'PreSharedKey  : ' & $PreSharedKey1 & "<br>" & _
			'KeyPassPhrase : ' & $KeyPassPhrase1 & "<br>" & _
			'SelfPIN       : ' & $SelfPIN1 & "<br>" & _
			"SupportedBands: " & $SupportedFrequencyBands1 & "<br>" & _
			"Channel       : " & $Channel1 & "<br>" & _
			"ModeEnabled   : " & StringReplace($ModeEnabled1, "Personal", "") & "<br>" & _
			"MACFiltering  : " & $MACFiltering1 & $MacList1

	If UBound($SSID) > 1 Then

		If IsArray($MACFiltering) Then
			If $MACFiltering[1] = "WhiteList" Then
				$Entry = StringRegExp($getWifi, 'Entry(.*?)HotSpot2', 3)
				If IsArray($Entry) Then
					$MACAddress = StringRegExp($Entry[1], 'MACAddress":"(.*?)"', 3)
					For $i = 0 To UBound($MACAddress) - 1
						$MacList2 = $MacList2 & @CRLF & "                " & $MACAddress[$i]
					Next
				EndIf
			Else
				$MacList2 = ""
			EndIf
			$MACFiltering2 = $MACFiltering[1]
		Else
			$MACFiltering2 = "non trouvé"
		EndIf

		If IsArray($ModeEnabled) Then
			$ModeEnabled2 = $ModeEnabled[1]
			$ModeEnabled2 = StringReplace($ModeEnabled2, "None", "No security")
			$ModeEnabled2 = StringReplace($ModeEnabled2, "WPA-WPA2-", "WPA/WPA2 Mixed")
			$ModeEnabled2 = StringReplace($ModeEnabled2, "WPA2-", "WPA2-PSK(AES)")
			$ModeEnabled2 = StringReplace($ModeEnabled2, "WPA-", "WPA-PSK(TKIP)")
		Else
			$ModeEnabled2 = "non trouvé"
		EndIf


		$list5ghz = "5,0Ghz" & "<br>" & _
				'SSID          : ' & $SSID[1] & "<br>" & _
				"SSID Visible  : " & $SSIDAdvertisementEnabled[1] & "<br>" & _
				'BSSID         : ' & $BSSID[1] & "<br>" & _
				'WEPKey        : ' & $WEPKey[1] & "<br>" & _
				'PreSharedKey  : ' & $PreSharedKey[1] & "<br>" & _
				'KeyPassPhrase : ' & $KeyPassPhrase[1] & "<br>" & _
				'SelfPIN       : ' & $SelfPIN[1] & "<br>" & _
				"SupportedBands: " & $SupportedFrequencyBands[1] & "<br>" & _
				"Channel       : " & $Channel2 & "<br>" & _
				"ModeEnabled   : " & StringReplace($ModeEnabled2, "Personal", "") & "<br>" & _
				"MACFiltering  : " & $MACFiltering[1] & $MacList2
	EndIf


	;Traitement IoT
	$getIOT = Json_Decode($getIOT)
    $operationalStatus = Json_Get($getIOT, '["data"]["operationalStatus"]')
	$adminStatus = Json_Get($getIOT, '["data"]["$adminStatus"]')
	$subscriptionStatus = Json_Get($getIOT, '["data"]["subscriptionStatus"]')
	$mqttStatus = Json_Get($getIOT, '["data"]["mqttStatus"]')
	$dectStatus = Json_Get($getIOT, '["data"]["dectStatus"]')
	$uniqueIdentifier = Json_Get($getIOT, '["data"]["uniqueIdentifier"]')
	$accessURL = Json_Get($getIOT, '["data"]["accessURL"]')
	$softwareVersion = Json_Get($getIOT, '["data"]["softwareVersion"]')
	$apiVersion = Json_Get($getIOT, '["data"]["apiVersion"]')

	$list8= "operationalStatus  : " & $operationalStatus & "<br>" & _
			"adminStatus        : " & $adminStatus & "<br>" & _
			"subscriptionStatus : " & $subscriptionStatus & "<br>" & _
			"mqttStatus         : " & $mqttStatus & "<br>" & _
			"dectStatus         : " & $dectStatus & "<br>" & _
			"uniqueIdentifier   : " & $uniqueIdentifier & "<br>"	 & _
			"accessURL          : " & $accessURL & "<br>"	 & _
			"softwareVersion    : " & $softwareVersion & "<br>"	 & _
			"apiVersion         : " & $apiVersion & "<br>"


	$list5 = $list24ghz & @CRLF & @CRLF & $list5ghz

EndFunc   ;==>load_data


Func auth_livebox()
	; On vérifie que la Livebox est bien sur l'IP indiquée et qu'elle répond
	$iplivebox = StringSplit($LIVEBOX,":")
	$ping = ping($iplivebox[1])
	if $ping = 0 then
		MsgBox(0,'Erreur de connexion',"La Livebox n'est pas joignable sur l'IP : " & $LIVEBOX)

	Else

	$PARAMSlogin = '{"service":"sah.Device.Information","method":"createContext","parameters":{"applicationName":"so_sdkut","username":"'& $USER &'","password":"' & $PASSWORD & '"}}'

	$oHTTP.Open("POST", "http://" & $LIVEBOX & "/ws", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/x-sah-ws-4-call+json")
	$oHTTP.SetRequestHeader("Authorization", "X-Sah-Login")
	$oHTTP.Send($PARAMSlogin)
	$oReceived = $oHTTP.ResponseText
	$sResult = Json_Decode($oReceived)
	$sContextID = Json_Get($sResult, '["data"]["contextID"]')
		If $sContextID == "" Then
			MsgBox(48, "ERREUR", "aucun ContextID reçu, erreur d'authentification")
			$connexion = ""
		Else
		$cookie = $oHTTP.getResponseHeader("Set-Cookie")
		$connexion = "OK"
		EndIf
	EndIf

EndFunc   ;==>auth_livebox


Func _temps_passe($miliseconds)
    $day = Int($miliseconds / 86400000)
    $hour = Int(Mod($miliseconds, 86400000) / 3600000)
    $min = Int(Mod(Mod($miliseconds, 86400000), 3600000) / 60000)
    $sec = Int(Mod(Mod(Mod($miliseconds, 86400000), 3600000), 60000) / 1000)
    $time = $day & " Jour(s) " & $hour &"h " & $min & "m " & $sec & "s"
	return $time
EndFunc   ;==>_temps_passe

; User's COM error function. Will be called if COM error occurs
Func _ErrFunc($oError)
    ; Do anything here.
    ConsoleWrite(@ScriptName & " (" & $oError.scriptline & ") : ==> COM Error intercepted !" & @CRLF & _
            @TAB & "err.number is: " & @TAB & @TAB & "0x" & Hex($oError.number) & @CRLF & _
            @TAB & "err.windescription:" & @TAB & $oError.windescription & @CRLF & _
            @TAB & "err.description is: " & @TAB & $oError.description & @CRLF & _
            @TAB & "err.source is: " & @TAB & @TAB & $oError.source & @CRLF & _
            @TAB & "err.helpfile is: " & @TAB & $oError.helpfile & @CRLF & _
            @TAB & "err.helpcontext is: " & @TAB & $oError.helpcontext & @CRLF & _
            @TAB & "err.lastdllerror is: " & @TAB & $oError.lastdllerror & @CRLF & _
            @TAB & "err.scriptline is: " & @TAB & $oError.scriptline & @CRLF & _
            @TAB & "err.retcode is: " & @TAB & "0x" & Hex($oError.retcode) & @CRLF & @CRLF)
EndFunc   ;==>_ErrFunc

Func _infoligne()

; Recuperation des donnees
$PARAMS = '{"lineNumber":"'& $TEL &'","status":"active"}'
$oHTTP.Open("POST", "https://www.ovh.com/engine/api/connectivity/eligibility/test/line", False)
$oHTTP.SetRequestHeader("Content-Type", "application/json")
$oHTTP.Send($PARAMS)
$result = $oHTTP.ResponseText

$result2 = Json_Decode($result)
$status = Json_Get($result2, '["status"]')

if $status = "error" Then
	; Recuperation des donnees
	$PARAMS = '{"lineNumber":"'& $TEL &'","status":"inactive"}'
	$oHTTP.Open("POST", "https://www.ovh.com/engine/api/connectivity/eligibility/test/line", False)
	$oHTTP.SetRequestHeader("Content-Type", "application/json")
	$oHTTP.Send($PARAMS)
	$result = $oHTTP.ResponseText

	$result2 = Json_Decode($result)
Endif

$availablePairs    = Json_Get($result2, '["result"]["endpoint"]["copperInfo"]["availablePairs"]')
$maxAvailablePairs = Json_Get($result2, '["result"]["endpoint"]["copperInfo"]["maxAvailablePairs"]')
$nra               = Json_Get($result2, '["result"]["endpoint"]["copperInfo"]["nra"]')
$diameter1         = Json_Get($result2, '["result"]["endpoint"]["copperInfo"]["sectionsLengths"][0]["diameter"]')
$length1           = Json_Get($result2, '["result"]["endpoint"]["copperInfo"]["sectionsLengths"][0]["length"]')
$diameter2         = Json_Get($result2, '["result"]["endpoint"]["copperInfo"]["sectionsLengths"][1]["diameter"]')
$length2           = Json_Get($result2, '["result"]["endpoint"]["copperInfo"]["sectionsLengths"][1]["length"]')

EndFunc	;==>_infoligne

Func Sec2Time($nr_sec)
   $sec2time_hour = Int($nr_sec / 3600)
   $sec2time_min = Int(($nr_sec - $sec2time_hour * 3600) / 60)
   $sec2time_sec = $nr_sec - $sec2time_hour * 3600 - $sec2time_min * 60
   Return StringFormat('%02dh %02dmin %02dsec', $sec2time_hour, $sec2time_min, $sec2time_sec)
EndFunc   ;==>Sec2Time

Func Sec2dayTime($nr_sec)
   $day = Int($nr_sec / 86400)
   $hour = Int(Mod($nr_sec, 86400) / 3600)
   $min = Int(Mod(Mod($nr_sec, 86400), 3600) / 60)
   $sec = Int(Mod(Mod(Mod($nr_sec, 86400), 3600), 60))
   Return StringFormat('%02dj %02dh %02dmin %02dsec',$day, $hour, $min, $sec)
EndFunc   ;==>Sec2dayTime